Tool to check for frankenfirmware?

Discussion in '3DS - Homebrew Development and Emulators' started by LiveLatios, Nov 2, 2016.

  1. LiveLatios
    OP

    LiveLatios Profesionnal Scalie

    Member
    1,130
    537
    Nov 16, 2015
    Canada
    why
    Is there a tool that checks the NAND for mismatching versions? to check for frankenfirmware?

    For example, you may have had a bad downgrade at a certain point, and a bad update, but never noticed it.
     
  2. metroid maniac

    metroid maniac An idiot with an opinion

    Member
    1,800
    719
    May 16, 2009
    3DSident may give you some clues.
     
  3. Joom

    Joom  ❤❤❤

    Member
    4,301
    2,948
    Jan 8, 2016
    United States
    Edit: Never mind, that only checks 9.2 downgrades.
     
  4. LiveLatios
    OP

    LiveLatios Profesionnal Scalie

    Member
    1,130
    537
    Nov 16, 2015
    Canada
    why
  5. Joom

    Joom  ❤❤❤

    Member
    4,301
    2,948
    Jan 8, 2016
    United States
    That's why I edited my post.
     
  6. LiveLatios
    OP

    LiveLatios Profesionnal Scalie

    Member
    1,130
    537
    Nov 16, 2015
    Canada
    why
    you edited after i replied, lel
     
  7. jimmyleen

    jimmyleen GBAtemp Maniac

    Member
    1,162
    198
    Feb 28, 2016
    I had this happen to me when the first exploit for 10.7-32 was released. Once I hacked my N3DS xl my emunand firmware went from 10.7-32 to 10.7-33 and then a few moths later it went one number higher 10.7-34. In the end nothing was out of place and nothing was broken, it all worked just fine.
     
    Last edited by jimmyleen, Nov 3, 2016
  8. Aurora Wright

    Aurora Wright GBAtemp Advanced Maniac

    Member
    1,544
    4,100
    Aug 13, 2006
    Italy
    If there's no update nag and you can access eShop everything is fine.
     
    Joel16 and jimmyleen like this.
  9. Atomsk27

    Atomsk27 Newbie

    Newcomer
    5
    1
    Sep 16, 2016
    United States
    It would be nice if there was one. I updated to 11.2 after updating luma, and now some things are not working properly.

    Right after updating I checked system settings to confirm I was in 11.2, I was. Then I updated homebrew and launched it, all good.

    Then about 30 mins later, I can't get into system settings and homebrew says something about system version being wrong. Everything else works fine though.

    Pretty sure I got a frankenfirm.